function [ XX,YY,ZZ,CC ] = plotImplicit3D_vect( f, min, max, pas )
%PLOTIMPLICIT3D 
%   min, max : vecteurs extr?mit?s de la bo?te englobante
%   pas : vecteurs des pas de discr?tisation
%   f : fonction implicite (on trace l'isosurface f(x,y,z)=0

    step = (max - min)./pas ;
    [XX, YY, ZZ] = meshgrid(min(1):step(1):max(1), min(2):step(2):max(2), min(3):step(3):max(3)) ;
    CC = zeros(size(XX)) ;
    for i=1:size(XX,1)
        disp(i)
        for j=1:size(XX,2)
            for k=1:size(XX,3)
                CC(i,j,k) = f([XX(i,j,k);YY(i,j,k);ZZ(i,j,k)]) ;
            end
        end
    end
    disp('end computing scalar field')
end

